{"openapi":"3.0.0","info":{"title":"1stLine API","version":"1.0.0","description":"API documentation"},"servers":[],"tags":[{"name":"Schemas","description":"API endpoints for Schemas handler"},{"name":"Routing-rules","description":"API endpoints for Routing-rules handler"},{"name":"Ai-escalation","description":"API endpoints for Ai-escalation handler"},{"name":"Escalation","description":"API endpoints for Escalation handler"},{"name":"Proxy","description":"API endpoints for Proxy handler"},{"name":"Teams","description":"API endpoints for Teams handler"},{"name":"Users","description":"API endpoints for Users handler"},{"name":"Api-token","description":"API endpoints for Api-token handler"},{"name":"Alert-actions","description":"API endpoints for Alert-actions handler"},{"name":"Communication","description":"API endpoints for Communication handler"},{"name":"Incidents","description":"API endpoints for Incidents handler"}],"paths":{"/api/schemas/new":{"post":{"operationId":"postApiSchemasNew","description":"Create new schema from alert payload using schema creation token\n\nAuthorization: requires a valid schema creation token for the target organization.","parameters":[{"name":"token","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncomingAlertRequest"}}}},"responses":{"200":{"description":"Schema created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/CreateSchemaResponseData"}}}}}},"400":{"description":"Invalid payload format","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Invalid or missing schema creation token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"schema-creation-token","tags":["Schemas"],"x-badges":[{"name":"Auth: schema-creation-token","position":"after","color":"#13ec80"}]}},"/api/schemas/creation-status":{"get":{"operationId":"getApiSchemasCreationStatus","description":"WebSocket endpoint for real-time tracking of schema creation status. Requires WebSocket upgrade header. Polls status every second and sends updates when status changes. Connection closes automatically when terminal state is reached (schema_created, aborted, or expired).\n\nAuthorization: requires a valid schema creation token for the target organization.","parameters":[{"name":"token","in":"query","schema":{"type":"string"},"required":true}],"responses":{"101":{"description":"WebSocket connection established. Server will send JSON messages with status updates.","headers":{"Upgrade":{"description":"websocket","schema":{"type":"string"}},"Connection":{"description":"Upgrade","schema":{"type":"string"}}}},"400":{"description":"Bad request - missing token or WebSocket upgrade not requested","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized - invalid or expired schema creation token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"schema-creation-token","tags":["Schemas"],"x-badges":[{"name":"Auth: schema-creation-token","position":"after","color":"#13ec80"}]}},"/api/schemas/creation-token":{"delete":{"operationId":"deleteApiSchemasCreationToken","description":"Abort schema creation by invalidating schema creation token\n\nAuthorization: requires a valid schema creation token for the target organization.","parameters":[{"name":"token","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Schema creation aborted successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/SchemaCreationResponseData"}}}}}},"400":{"description":"Missing token parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Invalid schema creation token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"schema-creation-token","tags":["Schemas"],"x-badges":[{"name":"Auth: schema-creation-token","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiSchemasCreationToken","description":"Create a new schema creation token for schema creation process\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Schema creation token created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/SchemaCreationResponseData"}}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/library/global":{"get":{"operationId":"getApiSchemasLibraryGlobal","description":"List global library schemas.\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"}},{"name":"limit","in":"query","schema":{"type":"string"}},{"name":"cursor","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Library schemas retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LibrarySchemasListResponse"}}}},"500":{"description":"Failed to list library schemas","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/library/global/{librarySchemaUid}":{"get":{"operationId":"getApiSchemasLibraryGlobalByLibrarySchemaUid","description":"Get a single global library schema.\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"schema":{"type":"string"},"in":"path","name":"librarySchemaUid","required":true}],"responses":{"200":{"description":"Library schema retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/LibrarySchema"}}}}}},"404":{"description":"Library schema not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/library/org":{"get":{"operationId":"getApiSchemasLibraryOrg","description":"List organization library schemas.\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string"}},{"name":"cursor","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Library schemas retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LibrarySchemasListResponse"}}}},"500":{"description":"Failed to list library schemas","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiSchemasLibraryOrg","description":"Create a new organization-scoped library schema.\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLibrarySchemaRequest"}}}},"responses":{"200":{"description":"Library schema created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/LibrarySchema"}}}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/library/org/{librarySchemaUid}":{"get":{"operationId":"getApiSchemasLibraryOrgByLibrarySchemaUid","description":"Get an organization library schema.\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"librarySchemaUid","required":true}],"responses":{"200":{"description":"Library schema retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/LibrarySchema"}}}}}},"404":{"description":"Library schema not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiSchemasLibraryOrgByLibrarySchemaUid","description":"Update an organization library schema.\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"librarySchemaUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLibrarySchemaRequest"}}}},"responses":{"200":{"description":"Library schema updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/LibrarySchema"}}}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiSchemasLibraryOrgByLibrarySchemaUid","description":"Delete an organization library schema.\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"librarySchemaUid","required":true}],"responses":{"200":{"description":"Library schema deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/library/{librarySchemaUid}":{"post":{"operationId":"postApiSchemasLibraryByLibrarySchemaUid","description":"Create a schema from a library entry without requiring a creation token. Uses a temporary name; users can rename/edit afterward.\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"librarySchemaUid","required":true}],"responses":{"200":{"description":"Schema created successfully from library definition","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SchemaResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas":{"get":{"operationId":"getApiSchemas","description":"List all schemas for the organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string"}},{"name":"offset","in":"query","schema":{"type":"string"}},{"name":"enabled","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Schemas retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SchemaResponse"}},"count":{"type":"number"}}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/{schemaUid}":{"get":{"operationId":"getApiSchemasBySchemaUid","description":"Get a single schema by UID\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"schemaUid","required":true}],"responses":{"200":{"description":"Schema retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/SchemaResponse"}}}}}},"404":{"description":"Schema not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiSchemasBySchemaUid","description":"Update an existing schema\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"schemaUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateSchemaRequest"}}}},"responses":{"200":{"description":"Schema updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/SchemaResponse"}}}}}},"400":{"description":"Invalid request body or pattern configurations","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Schema not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiSchemasBySchemaUid","description":"Delete a schema by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"schemaUid","required":true}],"responses":{"200":{"description":"Schema deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Schema not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/test-patterns":{"post":{"operationId":"postApiSchemasTestPatterns","description":"Test field extraction patterns with step-by-step extraction details\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TestPatternsRequest"}}}},"responses":{"200":{"description":"Patterns tested successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/TestPatternsResponseData"}}}}}},"400":{"description":"Invalid patterns or test payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/schemas/test-transformation-template":{"post":{"operationId":"postApiSchemasTestTransformationTemplate","description":"Test transformation template rendering with payload extraction patterns\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TestTransformationTemplateRequest"}}}},"responses":{"200":{"description":"Transformation template tested successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/TestTransformationTemplateResponseData"}}}}}},"400":{"description":"Invalid transformation template, patterns, or payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Schemas"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/routing-rules":{"get":{"operationId":"getApiRoutingRules","description":"Retrieves all routing rules for the organization with their conditions\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string"}},{"name":"offset","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Routing rules retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/RoutingRuleWithConditions"}},"count":{"type":"number"}}}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Routing-rules"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiRoutingRules","description":"Creates a new routing rule with conditions and updates schema_routing_rules junction table\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRoutingRuleRequest"}}}},"responses":{"200":{"description":"Routing rule created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/RoutingRuleWithConditions"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Routing-rules"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/routing-rules/{ruleUid}":{"get":{"operationId":"getApiRoutingRulesByRuleUid","description":"Retrieves a single routing rule by UID with its conditions\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"ruleUid","required":true}],"responses":{"200":{"description":"Routing rule retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/RoutingRuleWithConditions"}}}}}},"404":{"description":"Routing rule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Routing-rules"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiRoutingRulesByRuleUid","description":"Updates a routing rule and its conditions\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"ruleUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateRoutingRuleRequest"}}}},"responses":{"200":{"description":"Routing rule updated successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/RoutingRuleWithConditions"}}}}}},"404":{"description":"Routing rule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Routing-rules"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiRoutingRulesByRuleUid","description":"Deletes a routing rule and its conditions\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"ruleUid","required":true}],"responses":{"200":{"description":"Routing rule deleted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Routing rule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Routing-rules"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/routing-rules/schemas/{schemaUid}/fields":{"get":{"operationId":"getApiRoutingRulesSchemasBySchemaUidFields","description":"Gets available fields for a schema for dynamic field discovery\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"schemaUid","required":true}],"responses":{"200":{"description":"Schema fields retrieved successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"type":"string"}}}}}}},"404":{"description":"Schema not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Routing-rules"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/connections":{"get":{"operationId":"getApiAiEscalationConnections","description":"List AI escalation controller connections for the current organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AiEscalationSafeConnection"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiAiEscalationConnections","description":"Create an AI escalation controller connection and return its one-time secret\n\nAuthorization: requires permission `ai-escalation-connections:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiEscalationCreateConnectionRequest"}}}},"responses":{"201":{"description":"Connection created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationCreateConnectionResponse"}}}}}}},"x-authorization-scope":"ai-escalation-connections:manage","x-rbac-permission":"ai-escalation-connections:manage","x-rbac-roles":["admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: ai-escalation-connections:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/connections/{connectionUid}":{"get":{"operationId":"getApiAiEscalationConnectionsByConnectionUid","description":"Get one AI escalation controller connection\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"connectionUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationSafeConnection"}}}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiAiEscalationConnectionsByConnectionUid","description":"Replace AI escalation controller connection metadata\n\nAuthorization: requires permission `ai-escalation-connections:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"connectionUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiEscalationUpdateConnectionRequest"}}}},"responses":{"200":{"description":"Connection updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationSafeConnection"}}}}}}},"x-authorization-scope":"ai-escalation-connections:manage","x-rbac-permission":"ai-escalation-connections:manage","x-rbac-roles":["admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: ai-escalation-connections:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiAiEscalationConnectionsByConnectionUid","description":"Delete an AI escalation controller connection\n\nAuthorization: requires permission `ai-escalation-connections:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"connectionUid","required":true}],"responses":{"200":{"description":"Connection deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"ai-escalation-connections:manage","x-rbac-permission":"ai-escalation-connections:manage","x-rbac-roles":["admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: ai-escalation-connections:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/connections/{connectionUid}/revoke":{"post":{"operationId":"postApiAiEscalationConnectionsByConnectionUidRevoke","description":"Revoke an AI escalation controller connection\n\nAuthorization: requires permission `ai-escalation-connections:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"connectionUid","required":true}],"responses":{"200":{"description":"Connection revoked","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationSafeConnection"}}}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"ai-escalation-connections:manage","x-rbac-permission":"ai-escalation-connections:manage","x-rbac-roles":["admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: ai-escalation-connections:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/connections/{connectionUid}/rotate-secret":{"post":{"operationId":"postApiAiEscalationConnectionsByConnectionUidRotateSecret","description":"Rotate an AI escalation controller connection secret and return the one-time replacement secret\n\nAuthorization: requires permission `ai-escalation-connections:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"connectionUid","required":true}],"responses":{"200":{"description":"Connection secret rotated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationCreateConnectionResponse"}}}}}},"404":{"description":"Connection not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"ai-escalation-connections:manage","x-rbac-permission":"ai-escalation-connections:manage","x-rbac-roles":["admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: ai-escalation-connections:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/rules":{"get":{"operationId":"getApiAiEscalationRules","description":"List AI escalation assignment rules\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AiEscalationSafeRule"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiAiEscalationRules","description":"Create an AI escalation assignment rule\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiEscalationCreateRuleRequest"}}}},"responses":{"201":{"description":"Rule created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationSafeRule"}}}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/rules/{ruleUid}":{"get":{"operationId":"getApiAiEscalationRulesByRuleUid","description":"Get one AI escalation assignment rule\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"ruleUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationSafeRule"}}}}}},"404":{"description":"Rule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiAiEscalationRulesByRuleUid","description":"Replace an AI escalation assignment rule\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"ruleUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AiEscalationUpdateRuleRequest"}}}},"responses":{"200":{"description":"Rule updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationSafeRule"}}}}}},"404":{"description":"Rule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiAiEscalationRulesByRuleUid","description":"Delete an AI escalation assignment rule\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"ruleUid","required":true}],"responses":{"200":{"description":"Rule deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Rule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/assignments":{"get":{"operationId":"getApiAiEscalationAssignments","description":"List AI escalation assignments for the current organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string","pattern":"^\\d+$"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AiEscalationAssignment"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/assignments/{assignmentUid}":{"get":{"operationId":"getApiAiEscalationAssignmentsByAssignmentUid","description":"Get one AI escalation assignment with rendered response details\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"assignmentUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationAssignment"}}}}}},"404":{"description":"Assignment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiAiEscalationAssignmentsByAssignmentUid","description":"Delete one AI escalation assignment and its generated content for the current organization\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"assignmentUid","required":true}],"responses":{"200":{"description":"Assignment deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Assignment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/assignments/{assignmentUid}/abort":{"post":{"operationId":"postApiAiEscalationAssignmentsByAssignmentUidAbort","description":"Abort one active AI escalation assignment for the current organization\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"assignmentUid","required":true}],"responses":{"200":{"description":"Assignment aborted or already terminal","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/AiEscalationAssignment"}}}}}},"404":{"description":"Assignment not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/ai-escalation/assignments/abort-all":{"post":{"operationId":"postApiAiEscalationAssignmentsAbortAll","description":"Abort all active AI escalation assignments for the current organization\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Active assignments aborted","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/AiEscalationAssignment"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Ai-escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/chains":{"get":{"operationId":"getApiEscalationChains","description":"List escalation chains for the current organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EscalationChain"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiEscalationChains","description":"Create a new escalation chain\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEscalationChainRequest"}}}},"responses":{"200":{"description":"Escalation chain created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationChain"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/chains/{chainUid}":{"get":{"operationId":"getApiEscalationChainsByChainUid","description":"Get a single escalation chain by UID\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"chainUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationChain"}}}}}},"404":{"description":"Escalation chain not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiEscalationChainsByChainUid","description":"Update an escalation chain by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"chainUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEscalationChainRequest"}}}},"responses":{"200":{"description":"Escalation chain updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationChain"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Escalation chain not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiEscalationChainsByChainUid","description":"Delete an escalation chain by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"chainUid","required":true}],"responses":{"200":{"description":"Escalation chain deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Escalation chain not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Escalation chain cannot be deleted due to references","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/chains/{chainUid}/delete-impact":{"get":{"operationId":"getApiEscalationChainsByChainUidDeleteImpact","description":"Get deletion impact details for an escalation chain\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"chainUid","required":true}],"responses":{"200":{"description":"Escalation chain delete impact","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationChainDeleteImpact"}}}}}},"404":{"description":"Escalation chain not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/lines":{"get":{"operationId":"getApiEscalationLines","description":"List escalation lines for a chain or all lines for an organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EscalationLine"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiEscalationLines","description":"Create a new escalation line\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEscalationLineRequest"}}}},"responses":{"200":{"description":"Escalation line created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLine"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/lines/{lineUid}":{"get":{"operationId":"getApiEscalationLinesByLineUid","description":"Get a single escalation line by UID\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"lineUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLine"}}}}}},"404":{"description":"Escalation line not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiEscalationLinesByLineUid","description":"Update an escalation line by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"lineUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEscalationLineRequest"}}}},"responses":{"200":{"description":"Escalation line updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLine"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Escalation line not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiEscalationLinesByLineUid","description":"Delete an escalation line by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"lineUid","required":true}],"responses":{"200":{"description":"Escalation line deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Escalation line not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/lines/{lineUid}/delete-impact":{"get":{"operationId":"getApiEscalationLinesByLineUidDeleteImpact","description":"Get deletion impact details for an escalation line\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"lineUid","required":true}],"responses":{"200":{"description":"Escalation line delete impact","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLineDeleteImpact"}}}}}},"404":{"description":"Escalation line not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/line-members":{"get":{"operationId":"getApiEscalationLineMembers","description":"List escalation line members for a line\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EscalationLineMember"}},"count":{"type":"number"}}}}}},"400":{"description":"line_uid parameter is required","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiEscalationLineMembers","description":"Create a new escalation line member\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEscalationLineMemberRequest"}}}},"responses":{"200":{"description":"Escalation line member created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLineMember"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/line-members/{memberUid}":{"get":{"operationId":"getApiEscalationLineMembersByMemberUid","description":"Get a single escalation line member by UID\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"memberUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLineMember"}}}}}},"404":{"description":"Escalation line member not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiEscalationLineMembersByMemberUid","description":"Update an escalation line member by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"memberUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEscalationLineMemberRequest"}}}},"responses":{"200":{"description":"Escalation line member updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationLineMember"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Escalation line member not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiEscalationLineMembersByMemberUid","description":"Delete an escalation line member by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"memberUid","required":true}],"responses":{"200":{"description":"Escalation line member deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Escalation line member not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/flow":{"post":{"operationId":"postApiEscalationFlow","description":"Resolve full escalation flow for given entities\n\nAuthorization: requires permission `operational:action` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EscalationFlowRequest"}}}},"responses":{"200":{"description":"Full escalation flow resolved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UnpackedResponders"}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"operational:action","x-rbac-permission":"operational:action","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: operational:action","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/schedules":{"get":{"operationId":"getApiEscalationSchedules","description":"List escalation schedules for the current organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/EscalationSchedule"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiEscalationSchedules","description":"Create a new escalation schedule\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEscalationScheduleRequest"}}}},"responses":{"200":{"description":"Escalation schedule created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationSchedule"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/schedules/{scheduleUid}":{"get":{"operationId":"getApiEscalationSchedulesByScheduleUid","description":"Get a single escalation schedule by UID\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"scheduleUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationSchedule"}}}}}},"404":{"description":"Escalation schedule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiEscalationSchedulesByScheduleUid","description":"Update an escalation schedule by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"scheduleUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateEscalationScheduleRequest"}}}},"responses":{"200":{"description":"Escalation schedule updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationSchedule"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Escalation schedule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiEscalationSchedulesByScheduleUid","description":"Delete an escalation schedule by UID\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"scheduleUid","required":true}],"responses":{"200":{"description":"Escalation schedule deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Escalation schedule not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/schedules/{scheduleUid}/overrides":{"post":{"operationId":"postApiEscalationSchedulesByScheduleUidOverrides","description":"Create a new escalation schedule override\n\nAuthorization: requires permission `operational:action` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"scheduleUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateEscalationScheduleOverrideRequest"}}}},"responses":{"200":{"description":"Escalation schedule override created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/EscalationScheduleOverride"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"operational:action","x-rbac-permission":"operational:action","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: operational:action","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/escalation/schedules/{scheduleUid}/overrides/{overrideUid}":{"delete":{"operationId":"deleteApiEscalationSchedulesByScheduleUidOverridesByOverrideUid","description":"Delete an escalation schedule override by UID\n\nAuthorization: requires permission `operational:action` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"scheduleUid","required":true},{"schema":{"type":"string"},"in":"path","name":"overrideUid","required":true}],"responses":{"200":{"description":"Escalation schedule override deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Escalation schedule override not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"operational:action","x-rbac-permission":"operational:action","x-rbac-roles":["reader","editor","admin"],"tags":["Escalation"],"x-badges":[{"name":"Permission: operational:action","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/proxy/{schemaTokenCandidate}":{"post":{"operationId":"postApiProxyBySchemaTokenCandidate","description":"Proxies an alert to its destination with routing rules applied\n\nAuthorization: requires a valid enabled schema token in the URL path.","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"forwardTo","in":"query","schema":{"type":"string"}},{"name":"skipCreation","in":"query","schema":{"type":"string"}},{"name":"lifecycleDispatch","in":"query","schema":{"type":"string"}},{"schema":{"type":"string"},"in":"path","name":"schemaTokenCandidate","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IncomingAlertRequest"}}}},"responses":{"200":{"description":"Alert ingress accepted successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PublicProxyIngressSuccessResponse"}}}},"400":{"description":"Invalid request or missing parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Invalid or disabled schema token","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"schema-token","tags":["Proxy"],"x-badges":[{"name":"Auth: schema-token","position":"after","color":"#13ec80"}]}},"/api/proxy/alert-instances/{alertInstanceUid}/history":{"get":{"operationId":"getApiProxyAlertInstancesByAlertInstanceUidHistory","description":"Retrieves audit history events for a single alert instance.\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string","pattern":"^\\d+$"}},{"name":"cursor","in":"query","schema":{"type":"string"}},{"name":"order_by","in":"query","schema":{"type":"string","enum":["newest","oldest"]}},{"schema":{"type":"string"},"in":"path","name":"alertInstanceUid","required":true}],"responses":{"200":{"description":"Alert instance history retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertInstanceHistoryResponse"}}}},"404":{"description":"Alert instance not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Proxy"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/proxy/alert-instances/{alertInstanceUid}":{"get":{"operationId":"getApiProxyAlertInstancesByAlertInstanceUid","description":"Retrieves a single alert instance by UID with complete escalation data\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"alertInstanceUid","required":true}],"responses":{"200":{"description":"Alert instance retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnhancedAlertInstance"}}}},"404":{"description":"Alert instance not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Proxy"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/proxy/alert-instances":{"get":{"operationId":"getApiProxyAlertInstances","description":"Retrieves alert instances (alert history) for the organization with escalation data\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string","pattern":"^\\d+$","description":"Pagination limit as string"}},{"name":"offset","in":"query","schema":{"type":"string","pattern":"^\\d+$","description":"Pagination offset as string"}},{"name":"schema_uid","in":"query","schema":{"type":"string"}},{"name":"status","in":"query","schema":{"type":"string","enum":["firing","acknowledged","resolved"]}},{"name":"processing_status","in":"query","schema":{"type":"string","enum":["pending","orphan","completed","failed"]}},{"name":"start_date","in":"query","schema":{"type":"string"}},{"name":"end_date","in":"query","schema":{"type":"string"}},{"name":"order_by","in":"query","schema":{"type":"string","enum":["newest","oldest"]}},{"name":"q","in":"query","schema":{"type":"string"}}],"responses":{"200":{"description":"Alert instances retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EnhancedAlertInstancesResponse"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Proxy"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/teams":{"get":{"operationId":"getApiTeams","description":"List all teams for the current organization with their memberships\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Team"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Teams"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiTeams","description":"Create a local team when team sync is disabled for the organization\n\nAuthorization: requires permission `config:write` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/Team"}}}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["admin"],"tags":["Teams"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/teams/{uid}":{"get":{"operationId":"getApiTeamsByUid","description":"Get a single team by UID with its memberships\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"uid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/Team"}}}}}},"404":{"description":"Team not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Teams"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiTeamsByUid","description":"Replace a local team when team sync is disabled for the organization\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"uid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/Team"}}}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Teams"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/users/me/memberships":{"get":{"operationId":"getApiUsersMeMemberships","description":"Get current user's organization memberships\n\nAuthorization: requires an authenticated SPA access token.","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/OrganizationMembershipResponse"}},"count":{"type":"number"}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"User not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"spa-token","tags":["Users"],"x-badges":[{"name":"Auth: spa-token","position":"after","color":"#13ec80"}]}},"/api/users":{"get":{"operationId":"getApiUsers","description":"Get users in an organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"name":"limit","in":"query","schema":{"type":"string","pattern":"^\\d+$","description":"Pagination limit as string"}},{"name":"offset","in":"query","schema":{"type":"string","pattern":"^\\d+$","description":"Pagination offset as string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SafeUser"}},"count":{"type":"number"}}}}}},"400":{"description":"Invalid request or missing org_uid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Organization not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Users"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/users/search":{"get":{"operationId":"getApiUsersSearch","description":"Search users in an organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"q","in":"query","schema":{"type":"string"},"required":true},{"name":"org_uid","in":"query","schema":{"type":"string","format":"uuid"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SafeUser"}},"count":{"type":"number"}}}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Organization not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Users"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]}},"/api/users/{email}":{"get":{"operationId":"getApiUsersByEmail","description":"Get user by email in an organization\n\nAuthorization: requires permission `config:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"email","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SafeUser"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"User not found in organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:read","x-rbac-permission":"config:read","x-rbac-roles":["reader","editor","admin"],"tags":["Users"],"x-badges":[{"name":"Permission: config:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiUsersByEmail","description":"Update user data (1stLine-specific fields like phone_number)\n\nAuthorization: requires permission `config:write` (allowed roles: editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"email","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRequest"}}}},"responses":{"200":{"description":"User updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SafeUser"}}}},"400":{"description":"Invalid request or missing org_uid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"User not found in organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"config:write","x-rbac-permission":"config:write","x-rbac-roles":["editor","admin"],"tags":["Users"],"x-badges":[{"name":"Permission: config:write","position":"after","color":"#13ec80"},{"name":"Roles: editor, admin","position":"after","color":"#13ec80"}]}},"/api/users/{email}/role":{"patch":{"operationId":"patchApiUsersByEmailRole","description":"Update a user's local 1stLine organization role\n\nAuthorization: requires permission `org-users:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"email","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateUserRoleRequest"}}}},"responses":{"200":{"description":"User role updated successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRoleUpdateResponse"}}}},"400":{"description":"Invalid request or last-admin protection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"User not found in organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"org-users:manage","x-rbac-permission":"org-users:manage","x-rbac-roles":["admin"],"tags":["Users"],"x-badges":[{"name":"Permission: org-users:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/users/me/phone-verification/send":{"post":{"operationId":"postApiUsersMePhoneVerificationSend","description":"Send a phone verification SMS for the authenticated user\n\nAuthorization: requires an authenticated SPA access token and active organization membership.","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Verification sent successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SafeUser"}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"spa-token","tags":["Users"],"x-badges":[{"name":"Auth: spa-token","position":"after","color":"#13ec80"}]}},"/api/users/me/phone-verification/verify":{"post":{"operationId":"postApiUsersMePhoneVerificationVerify","description":"Verify phone connection for the authenticated user\n\nAuthorization: requires an authenticated SPA access token and active organization membership.","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyPhoneNumberRequest"}}}},"responses":{"200":{"description":"Verified successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SafeUser"}}}},"400":{"description":"Invalid request or code","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"spa-token","tags":["Users"],"x-badges":[{"name":"Auth: spa-token","position":"after","color":"#13ec80"}]}},"/api/api-token":{"get":{"operationId":"getApiApiToken","description":"List API tokens for the current organization\n\nAuthorization: requires permission `api-tokens:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SafeAPITokenWithRole"}},"count":{"type":"number"}}}}}}},"x-authorization-scope":"api-tokens:read","x-rbac-permission":"api-tokens:read","x-rbac-roles":["reader","editor","admin"],"tags":["Api-token"],"x-badges":[{"name":"Permission: api-tokens:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"post":{"operationId":"postApiApiToken","description":"Create a new API token\n\nAuthorization: requires permission `api-tokens:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTokenRequest"}}}},"responses":{"201":{"description":"Token created","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/CreateTokenResponseData"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"api-tokens:manage","x-rbac-permission":"api-tokens:manage","x-rbac-roles":["admin"],"tags":["Api-token"],"x-badges":[{"name":"Permission: api-tokens:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/api-token/{tokenUid}":{"get":{"operationId":"getApiApiTokenByTokenUid","description":"Get a single API token by UID\n\nAuthorization: requires permission `api-tokens:read` (allowed roles: reader, editor, admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"tokenUid","required":true}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/SafeAPITokenWithRole"}}}}}},"404":{"description":"Token not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"api-tokens:read","x-rbac-permission":"api-tokens:read","x-rbac-roles":["reader","editor","admin"],"tags":["Api-token"],"x-badges":[{"name":"Permission: api-tokens:read","position":"after","color":"#13ec80"},{"name":"Roles: reader, editor, admin","position":"after","color":"#13ec80"}]},"put":{"operationId":"putApiApiTokenByTokenUid","description":"Update API token metadata\n\nAuthorization: requires permission `api-tokens:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"tokenUid","required":true}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTokenRequest"}}}},"responses":{"200":{"description":"Token updated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/SafeAPITokenWithRole"}}}}}},"400":{"description":"Invalid request body","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Token not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"api-tokens:manage","x-rbac-permission":"api-tokens:manage","x-rbac-roles":["admin"],"tags":["Api-token"],"x-badges":[{"name":"Permission: api-tokens:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]},"delete":{"operationId":"deleteApiApiTokenByTokenUid","description":"Delete an API token by UID\n\nAuthorization: requires permission `api-tokens:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"tokenUid","required":true}],"responses":{"200":{"description":"Token deleted","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimpleSuccessResponse"}}}},"404":{"description":"Token not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"api-tokens:manage","x-rbac-permission":"api-tokens:manage","x-rbac-roles":["admin"],"tags":["Api-token"],"x-badges":[{"name":"Permission: api-tokens:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/api-token/{tokenUid}/rotate":{"post":{"operationId":"postApiApiTokenByTokenUidRotate","description":"Rotate an API token value\n\nAuthorization: requires permission `api-tokens:manage` (allowed roles: admin).","parameters":[{"name":"org_uid","in":"query","schema":{"type":"string"},"required":true},{"schema":{"type":"string"},"in":"path","name":"tokenUid","required":true}],"responses":{"200":{"description":"Token rotated","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/RotateTokenResponseData"}}}}}},"404":{"description":"Token not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-scope":"api-tokens:manage","x-rbac-permission":"api-tokens:manage","x-rbac-roles":["admin"],"tags":["Api-token"],"x-badges":[{"name":"Permission: api-tokens:manage","position":"after","color":"#13ec80"},{"name":"Roles: admin","position":"after","color":"#13ec80"}]}},"/api/alert-actions/{alertInstanceUid}/details":{"get":{"operationId":"getApiAlertActionsByAlertInstanceUidDetails","description":"Get alert details for frontend display\n\nAuthorization: accepts an authenticated SPA user with alert organization access, or an explicit allowed guest action according to the alert schema and action type.","responses":{"200":{"description":"Alert details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AlertDetailsResponse"}}}},"404":{"description":"Alert not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"spa-token-or-identity","parameters":[{"schema":{"type":"string"},"in":"path","name":"alertInstanceUid","required":true}],"tags":["Alert-actions"],"x-badges":[{"name":"Auth: spa-token-or-identity","position":"after","color":"#13ec80"}]}},"/api/alert-actions/{alertInstanceUid}/ack":{"post":{"operationId":"postApiAlertActionsByAlertInstanceUidAck","description":"Acknowledge an alert instance\n\nAuthorization: accepts an authenticated SPA user with alert organization access, or an explicit allowed guest action according to the alert schema and action type.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionRequest"}}}},"responses":{"200":{"description":"Alert acknowledged successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean"},"data":{"$ref":"#/components/schemas/ActionResult"}}}}}},"400":{"description":"Invalid request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Alert instance not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}},"x-authorization-type":"spa-token-or-identity","parameters":[{"schema":{"type":"string"},"in":"path","name":"alertInstanceUid","required":true}],"tags":["Alert-actions"],"x
[...]
